# Uses of Interface
org.opensaml.security.x509.X509Credential

Packages that use X509Credential
Package
Description
org.opensaml.security.credential.impl
`CredentialResolver` implementation classes.
org.opensaml.security.httpclient
Security API support for Apache HttpClient.
org.opensaml.security.httpclient.impl
Security implementation support for Apache HttpClient.
org.opensaml.security.messaging
Messaging-related security classes.
org.opensaml.security.messaging.impl
Message handler implementations.
org.opensaml.security.trust.impl
`TrustEngine` implementation classes.
org.opensaml.security.x509
X.509-based credential and trust classes.
org.opensaml.security.x509.impl
`TrustEngine` implementation classes related to PKIX.
org.opensaml.security.x509.tls
TLS security functionality.
org.opensaml.security.x509.tls.impl
Implementation classes for client TLS security.
org.opensaml.spring.tls
Spring support for TLS configuration.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.

## Uses of X509Credential in org.opensaml.security.credential.impl

Methods in org.opensaml.security.credential.impl that return X509Credential
Modifier and Type
Method
Description
`protected X509Credential`
KeyStoreCredentialResolver.`processPrivateKeyEntry(KeyStore.PrivateKeyEntry privateKeyEntry, String entityID, UsageType usage)`
Build an X509Credential from a keystore private key entry.
`protected X509Credential`
KeyStoreCredentialResolver.`processTrustedCertificateEntry(KeyStore.TrustedCertificateEntry trustedCertEntry, String entityID, UsageType usage)`
Build an X509Credential from a keystore trusted certificate entry.

## Uses of X509Credential in org.opensaml.security.httpclient

Fields in org.opensaml.security.httpclient declared as X509Credential
Modifier and Type
Field
Description
`private X509Credential`
HttpClientSecurityParameters.`clientTLSCredential`
The X509 credential used for client TLS.
Fields in org.opensaml.security.httpclient with type parameters of type X509Credential
Modifier and Type
Field
Description
`private TrustEngine<? super X509Credential>`
HttpClientSecurityParameters.`tlsTrustEngine`
Optional trust engine used in evaluating server TLS credentials.
Methods in org.opensaml.security.httpclient that return X509Credential
Modifier and Type
Method
Description
`X509Credential`
HttpClientSecurityConfiguration.`getClientTLSCredential()`
Get the optional client TLS credential.
`X509Credential`
HttpClientSecurityParameters.`getClientTLSCredential()`
Get the optional client TLS credential.
Methods in org.opensaml.security.httpclient that return types with arguments of type X509Credential
Modifier and Type
Method
Description
`TrustEngine<? super X509Credential>`
HttpClientSecurityConfiguration.`getTLSTrustEngine()`
Sets the optional trust engine used in evaluating server TLS credentials.
`TrustEngine<? super X509Credential>`
HttpClientSecurityParameters.`getTLSTrustEngine()`
Sets the optional trust engine used in evaluating server TLS credentials.
Methods in org.opensaml.security.httpclient with parameters of type X509Credential
Modifier and Type
Method
Description
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setClientTLSCredential(X509Credential credential)`
Set the optional client TLS credential.
Method parameters in org.opensaml.security.httpclient with type arguments of type X509Credential
Modifier and Type
Method
Description
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setTLSTrustEngine(TrustEngine<? super X509Credential> engine)`
Sets the optional trust engine used in evaluating server TLS credentials.

## Uses of X509Credential in org.opensaml.security.httpclient.impl

Fields in org.opensaml.security.httpclient.impl declared as X509Credential
Modifier and Type
Field
Description
`private X509Credential`
BasicHttpClientSecurityConfiguration.`clientTLSCredential`
The X509 credential used for client TLS.
Fields in org.opensaml.security.httpclient.impl with type parameters of type X509Credential
Modifier and Type
Field
Description
`private TrustEngine<? super X509Credential>`
BasicHttpClientSecurityConfiguration.`tlsTrustEngine`
Optional trust engine used in evaluating server TLS credentials.
Methods in org.opensaml.security.httpclient.impl that return X509Credential
Modifier and Type
Method
Description
`X509Credential`
BasicHttpClientSecurityConfiguration.`getClientTLSCredential()`
Get the optional client TLS credential.
Methods in org.opensaml.security.httpclient.impl that return types with arguments of type X509Credential
Modifier and Type
Method
Description
`TrustEngine<? super X509Credential>`
BasicHttpClientSecurityConfiguration.`getTLSTrustEngine()`
Sets the optional trust engine used in evaluating server TLS credentials.
Methods in org.opensaml.security.httpclient.impl with parameters of type X509Credential
Modifier and Type
Method
Description
`BasicHttpClientSecurityConfiguration`
BasicHttpClientSecurityConfiguration.`setClientTLSCredential(X509Credential credential)`
Set the optional client TLS credential.
Method parameters in org.opensaml.security.httpclient.impl with type arguments of type X509Credential
Modifier and Type
Method
Description
`BasicHttpClientSecurityConfiguration`
BasicHttpClientSecurityConfiguration.`setTLSTrustEngine(TrustEngine<? super X509Credential> engine)`
Sets the optional trust engine used in evaluating server TLS credentials.

## Uses of X509Credential in org.opensaml.security.messaging

Classes in org.opensaml.security.messaging that implement X509Credential
Modifier and Type
Class
Description
`class`
`ServletRequestX509CredentialAdapter`
An adapter that exposes the X.509 certificates contained in the servlet request attribute.

## Uses of X509Credential in org.opensaml.security.messaging.impl

Methods in org.opensaml.security.messaging.impl that return types with arguments of type X509Credential
Modifier and Type
Method
Description
`protected TrustEngine<? super X509Credential>`
BaseClientCertAuthSecurityHandler.`resolveTrustEngine(MessageContext messageContext)`
Resolve a TrustEngine instance of the appropriate type from the message context.
Methods in org.opensaml.security.messaging.impl with parameters of type X509Credential
Modifier and Type
Method
Description
`protected void`
BaseClientCertAuthSecurityHandler.`doEvaluate(X509Credential requestCredential, MessageContext messageContext)`
Evaluate the request credential.
`protected String`
BaseClientCertAuthSecurityHandler.`evaluateCertificateNameDerivedPresenters(X509Credential requestCredential, MessageContext messageContext)`
Evaluate candidate presenter entity ID's which may be derived from the request credential's entity certificate according to the options supplied via `CertificateNameOptions`.
`protected String`
BaseClientCertAuthSecurityHandler.`evaluateDerivedPresenters(X509Credential requestCredential, MessageContext messageContext)`
Evaluate any candidate presenter entity ID's which may be derived from the credential or other message context information.
`protected String`
BaseClientCertAuthSecurityHandler.`evaluateSubjectAltNames(X509Credential requestCredential, MessageContext messageContext)`
Evaluate the presenter entity ID as derived from the cert subject alternative names specified by types enumerated in `CertificateNameOptions.getSubjectAltNames()`.
`protected String`
BaseClientCertAuthSecurityHandler.`evaluateSubjectCommonName(X509Credential requestCredential, MessageContext messageContext)`
Evaluate the presenter entity ID as derived from the cert subject common name (CN).
`protected String`
BaseClientCertAuthSecurityHandler.`evaluateSubjectDN(X509Credential requestCredential, MessageContext messageContext)`
Evaluate the presenter entity ID as derived from the cert subject DN.

## Uses of X509Credential in org.opensaml.security.trust.impl

Fields in org.opensaml.security.trust.impl with type parameters of type X509Credential
Modifier and Type
Field
Description
`private TrustEngine<? super X509Credential>`
TrustEngineX509TrustManager.`tlsTrustEngine`
The trust engine to use.
Methods in org.opensaml.security.trust.impl with parameters of type X509Credential
Modifier and Type
Method
Description
`boolean`
ExplicitX509CertificateTrustEngine.`validate(X509Credential untrustedCredential, CriteriaSet trustBasisCriteria)`
Validates the token against trusted information obtained in an implementation-specific manner.
`boolean`
ExplicitX509CertificateTrustEvaluator.`validate(X509Credential untrustedCredential, Iterable<Credential> trustedCredentials)`
Evaluate trust.
`boolean`
ExplicitX509CertificateTrustEvaluator.`validate(X509Credential untrustedCredential, X509Credential trustedCredential)`
Evaluate trust.
Method parameters in org.opensaml.security.trust.impl with type arguments of type X509Credential
Modifier and Type
Method
Description
`void`
TrustEngineX509TrustManager.`setTLSTrustEngine(TrustEngine<? super X509Credential> engine)`
Set the trust engine used in evaluating server TLS credentials.

## Uses of X509Credential in org.opensaml.security.x509

Classes in org.opensaml.security.x509 that implement X509Credential
Modifier and Type
Class
Description
`class`
`BasicX509Credential`
A basic implementation of `X509Credential`.
Methods in org.opensaml.security.x509 with parameters of type X509Credential
Modifier and Type
Method
Description
`static String`
X509Support.`getIdentifiersToken(X509Credential credential, X500DNHandler handler)`
Gets a formatted string representing identifier information from the supplied credential.
`boolean`
PKIXTrustEvaluator.`validate(PKIXValidationInformation validationInfo, X509Credential untrustedCredential)`
Validate the specified credential against the specified set of trusted validation information.

## Uses of X509Credential in org.opensaml.security.x509.impl

Classes in org.opensaml.security.x509.impl that implement X509Credential
Modifier and Type
Class
Description
`class`
`KeyStoreX509CredentialAdapter`
A wrapper that changes a `KeyStore` in to a `X509Credential`.
`class`
`X509KeyManagerX509CredentialAdapter`
A class that wraps a `X509KeyManager` and exposes it as an `X509Credential`.
Methods in org.opensaml.security.x509.impl with parameters of type X509Credential
Modifier and Type
Method
Description
`protected CertStore`
CertPathPKIXTrustEvaluator.`buildCertStore(PKIXValidationInformation validationInfo, X509Credential untrustedCredential)`
Creates the certificate store that will be used during validation.
`protected boolean`
PKIXX509CredentialTrustEngine.`checkNames(Set<String> trustedNames, X509Credential untrustedCredential)`
Evaluate the credential against the set of trusted names.
`boolean`
BasicX509CredentialNameEvaluator.`evaluate(X509Credential credential, Set<String> trustedNames)`
Evaluate the specified credential against the specified set of trusted names.
`boolean`
DummyX509CredentialNameEvaluator.`evaluate(X509Credential credential, Set<String> trustedNames)`
Evaluate the specified credential against the specified set of trusted names.
`boolean`
X509CredentialNameEvaluator.`evaluate(X509Credential credential, Set<String> trustedNames)`
Evaluate the specified credential against the specified set of trusted names.
`protected PKIXBuilderParameters`
CertPathPKIXTrustEvaluator.`getPKIXBuilderParameters(PKIXValidationInformation validationInfo, X509Credential untrustedCredential)`
Creates the set of PKIX builder parameters to use when building the cert path builder.
`protected boolean`
BasicX509CredentialNameEvaluator.`processNameChecks(X509Credential credential, Set<String> trustedNames)`
Process any name checks that are enabled.
`boolean`
CertPathPKIXTrustEvaluator.`validate(PKIXValidationInformation validationInfo, X509Credential untrustedCredential)`
Validate the specified credential against the specified set of trusted validation information.
`protected boolean`
PKIXX509CredentialTrustEngine.`validate(X509Credential untrustedX509Credential, Set<String> trustedNames, Iterable<PKIXValidationInformation> validationInfoSet)`
Perform PKIX validation on the untrusted credential, using PKIX validation information based on the supplied set of trusted credentials.
`boolean`
PKIXX509CredentialTrustEngine.`validate(X509Credential untrustedCredential, CriteriaSet trustBasisCriteria)`
Validates the token against trusted information obtained in an implementation-specific manner.

## Uses of X509Credential in org.opensaml.security.x509.tls

Fields in org.opensaml.security.x509.tls with type parameters of type X509Credential
Modifier and Type
Field
Description
`private TrustEngine<? super X509Credential>`
ClientTLSValidationParameters.`x509TrustEngine`
A `TrustEngine` instance used to validate a client TLS `X509Credential`.
Methods in org.opensaml.security.x509.tls that return types with arguments of type X509Credential
Modifier and Type
Method
Description
`TrustEngine<? super X509Credential>`
ClientTLSValidationConfiguration.`getX509TrustEngine()`
Get a `TrustEngine` instance used to validate a client TLS `X509Credential`.
`TrustEngine<? super X509Credential>`
ClientTLSValidationParameters.`getX509TrustEngine()`
Get a `TrustEngine` instance used to validate a client TLS `X509Credential`.
Method parameters in org.opensaml.security.x509.tls with type arguments of type X509Credential
Modifier and Type
Method
Description
`ClientTLSValidationParameters`
ClientTLSValidationParameters.`setX509TrustEngine(TrustEngine<? super X509Credential> engine)`
Set a `TrustEngine` instance used to validate a client TLS `X509Credential`.

## Uses of X509Credential in org.opensaml.security.x509.tls.impl

Fields in org.opensaml.security.x509.tls.impl with type parameters of type X509Credential
Modifier and Type
Field
Description
`private static ThreadLocal<X509Credential>`
ThreadLocalX509CredentialContext.`currentCredential`
ThreadLocal storage for credential.
`private TrustEngine<? super X509Credential>`
ThreadLocalX509TrustEngineContext.Data.`trustEngine`
Trust engine.
`private TrustEngine<? super X509Credential>`
BasicClientTLSValidationConfiguration.`x509TrustEngine`
A `TrustEngine` instance used to validate a client TLS `X509Credential`.
Methods in org.opensaml.security.x509.tls.impl that return X509Credential
Modifier and Type
Method
Description
`private static X509Credential`
ThreadLocalX509TrustEngineSupport.`extractCredential(X509Certificate[] chain)`
Extract the server TLS `X509Credential` from the supplied `SSLSocket`.
`static X509Credential`
ThreadLocalX509CredentialContext.`getCredential()`
Return the current thread-local `X509Credential`.
Methods in org.opensaml.security.x509.tls.impl that return types with arguments of type X509Credential
Modifier and Type
Method
Description
`static TrustEngine<? super X509Credential>`
ThreadLocalX509TrustEngineContext.`getTrustEngine()`
Return the current thread-local trust engine instance.
`TrustEngine<? super X509Credential>`
BasicClientTLSValidationConfiguration.`getX509TrustEngine()`
Get a `TrustEngine` instance used to validate a client TLS `X509Credential`.
`protected TrustEngine<? super X509Credential>`
BasicClientTLSValidationParametersResolver.`resolveTrustEngine(CriteriaSet criteria)`
Resolve and return the effective `TrustEngine``<? super` `X509Credential``>`.
Methods in org.opensaml.security.x509.tls.impl with parameters of type X509Credential
Modifier and Type
Method
Description
`static void`
ThreadLocalX509CredentialContext.`loadCurrent(X509Credential credential)`
Load the thread-local storage with the current credential.
Method parameters in org.opensaml.security.x509.tls.impl with type arguments of type X509Credential
Modifier and Type
Method
Description
`static void`
ThreadLocalX509TrustEngineContext.`loadCurrent(TrustEngine<? super X509Credential> trustEngine, CriteriaSet criteria, Boolean fatal)`
Load the thread-local storage with the current credential.
`private static boolean`
ThreadLocalX509TrustEngineSupport.`performTrustEval(X509Certificate[] chain, TrustEngine<? super X509Credential> trustEngine, CriteriaSet criteriaSet)`
Perform trust evaluation on the specified certificate chain using the supplied trust engine and criteria.
`BasicClientTLSValidationConfiguration`
BasicClientTLSValidationConfiguration.`setX509TrustEngine(TrustEngine<? super X509Credential> engine)`
Set a `TrustEngine` instance used to validate a client TLS `X509Credential`.
Constructors in org.opensaml.security.x509.tls.impl with parameters of type X509Credential
Modifier
Constructor
Description
``
`StaticX509CredentialKeyManager(X509Credential credential)`
Constructor.
Constructor parameters in org.opensaml.security.x509.tls.impl with type arguments of type X509Credential
Modifier
Constructor
Description
`private`
`Data(TrustEngine<? super X509Credential> engine, CriteriaSet criteria, Boolean fatal)`
Constructor.

## Uses of X509Credential in org.opensaml.spring.tls

Method parameters in org.opensaml.spring.tls with type arguments of type X509Credential
Modifier and Type
Method
Description
`void`
TLSSocketFactoryFactoryBean.`setTLSTrustEngine(TrustEngine<? super X509Credential> engine)`
Deprecated, for removal: This API element is subject to removal in a future version.
use setHttpClientSecurityParameters instead

## Uses of X509Credential in org.opensaml.xmlsec.keyinfo.impl

Methods in org.opensaml.xmlsec.keyinfo.impl with parameters of type X509Credential
Modifier and Type
Method
Description
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processCRLs(KeyInfo keyInfo, X509Data x509Data, X509Credential credential)`
Process the value of `getCRLs()`.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processEntityCertificate(KeyInfo keyInfo, X509Data x509Data, X509Credential credential)`
Process the value of `getEntityCertificate()`.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processEntityCertificateChain(KeyInfo keyInfo, X509Data x509Data, X509Credential credential)`
Process the value of `getEntityCertificateChain()`.

## Uses of X509Credential in org.opensaml.xmlsec.signature.support.impl

Methods in org.opensaml.xmlsec.signature.support.impl with parameters of type X509Credential
Modifier and Type
Method
Description
`protected boolean`
PKIXSignatureTrustEngine.`checkNames(Set<String> trustedNames, X509Credential untrustedCredential)`
Evaluate the credential against the set of trusted names.